uk.co.mruoc.http.client

## Class Headers

- java.lang.Object
- - uk.co.mruoc.http.client.Headers

    public class Headers
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Headers.HeaderNotFoundException`

### Constructor Summary

Constructors
Constructor and Description
`Headers()`
`Headers(org.apache.http.HttpMessage message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(org.apache.http.Header header)`
`void` `add(java.lang.String name, java.lang.String value)`
`java.lang.String` `get(java.lang.String name)`
`java.util.Set<java.lang.String>` `getNames()`
`boolean` `headerExists(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Headers

    public Headers()

#### Headers

    public Headers(org.apache.http.HttpMessage message)

### Method Detail

#### add

    public void add(org.apache.http.Header header)

#### add

    public void add(java.lang.String name,
                    java.lang.String value)

#### get

    public java.lang.String get(java.lang.String name)

#### headerExists

    public boolean headerExists(java.lang.String name)

#### getNames

    public java.util.Set<java.lang.String> getNames()